### Signal

# Gio MountOperation::show-unmount-progress

since: 2.34

#### Declaration

    void
    show_unmount_progress (
      GMountOperation* self,
      gchar* message,
      gint64 time_left,
      gint64 bytes_left,
      gpointer user_data
    )

#### Description

Emitted when an unmount operation has been busy for more than some time (typically 1.5 seconds).

When unmounting or ejecting a volume, the kernel might need to flush pending data in its buffers to the volume stable storage, and this operation can take a considerable amount of time. This signal may be emitted several times as long as the unmount operation is outstanding, and then one last time when the operation is completed, with `bytes_left` set to zero.

Implementations of GMountOperation should handle this signal by showing an UI notification, and then dismiss it, or show another notification of completion, when `bytes_left` reaches zero.

If the message contains a line break, the first line should be presented as a heading. For example, it may be used as the primary text in a `GtkMessageDialog`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.34

#### Parameters

`message`

  Type: `gchar*`

  String containing a message to display to the user.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`time_left`

  Type: `gint64`

  The estimated time left before the operation completes, in microseconds, or -1

`bytes_left`

  Type: `gint64`

  The amount of bytes to be written before the operation completes (or -1 if such amount is not known), or zero if the operation is completed.